summaryrefslogtreecommitdiff
path: root/xmlsecurity
diff options
context:
space:
mode:
authorIlmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>2021-08-20 11:10:30 +0300
committerIlmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>2021-08-20 12:32:22 +0200
commitac586d1caecaa5be4bce05b073ce4c7bda10f13e (patch)
tree0f8edfa7e9bf7ad5c5be49cd168c20dc9e16d1a1 /xmlsecurity
parent080e4550257a90597c241f83fd766b99c83ba6e8 (diff)
Make some scripts more portable
Change-Id: Ia89059eea51ca396a7c74143625ac9a6706de198 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/120773 Tested-by: Jenkins Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
Diffstat (limited to 'xmlsecurity')
-rwxr-xr-xxmlsecurity/qa/create-certs/create-certs.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/xmlsecurity/qa/create-certs/create-certs.sh b/xmlsecurity/qa/create-certs/create-certs.sh
index 4a0298047c01..5a4c244c6bdf 100755
--- a/xmlsecurity/qa/create-certs/create-certs.sh
+++ b/xmlsecurity/qa/create-certs/create-certs.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/usr/bin/env bash
#
# This file is part of the LibreOffice project.
#
@@ -27,6 +27,8 @@
# the PKCS#12 export of self-signed certificates
#
+set -e
+
root="$PWD"
algo="RSA"